<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>ITEA-JS ADVANCED - LESSON 2: CLASSWORK 2</title>
  <link rel="stylesheet" href="css/style.min.css" />
</head>
<body>
  <div class="wrap">
    <div class="testBlock hover">
      <button class="iButton" id="mouseHover">1. Hover!</button>
      <ul id="hoverResult" class="resultBlock"></ul>
    </div>

    <div class="testBlock click">
      <button class="iButton" id="mouseClick">2. Click for do things</button>
      <div id="clickResult" class="resultBlock one two three four five six"></div>
    </div>

    <div class="testBlock random">
      <button class="iButton" id="mouseLight">3. Click for turn on lights</button>
      <div id="lightResult" class="resultBlock"></div>
    </div>

    <div class="testBlock keyboard">
      <button class="iButton" id="keyboardButton">4. Press any key</button>
      <div id="keyboardResult" class="resultBlock key-colors"></div>
    </div>

  </div>

  <script>
    /*

      Поработаем немного с ивентами:
      onmouseenter
      onclick
      oncontextmenu
      onkeydown

      Задание:
      На каждую из конопок назначить действие которое будет выполнять следующее действие:
      1.На ховер(onmouseenter) повесить обработчик который будет при каждом наведении
        на кнопку будет выводить в блок результатом елемент li с текстом "hovered!"
        у которого будет один из следующих класов:
        red blue green orange purple

      2.На кнопку клика(onclick) повесить обработчик который будет удалять классы с
        блока с результатом по очереди в таком порядке:

        six > two > three > four > one > five

        после того как блок окажется пустым, добавить их в порядке возрастания

        one > two > three ... > six

      3. На кнопку клика (Light) повесить обработчик, который будет выводить в 
      блок с результатом (lightResult) поочередно один из цветов светофора:
      Цикл: Off -> Red -> Yellow -> Green -> Off

      4. На кнопку с обработчиком нажатия (onkeydown) повесить обработчик который будет:

        - Выводить в блок с результатом(keyboardResult) число нажатий на любую из клавиш клавиатуры.
        - Давать блоку (keyboardResult) классы, которые соотсветствуют числу кликов:

        Н-р:
        1 -> one
        3 -> three
        5 -> five
        11 -> one one
        115 -> one one five



    */

    var mouseHover = document.getElementById('mouseHover');
    var mouseClick = document.getElementById('mouseClick');
    var mouseLight = document.getElementById('mouseLight');
    var keyboardButton = document.getElementById('keyboardButton');

    var listHoverResult = document.getElementById('hoverResult');
    var posibleColor = ['red', 'blue', 'green', 'orange', 'purple'];
    mouseHover.onmouseenter = function(){
      var index = Math.floor(Math.random() * (5 - 0)) + 0;
      var listItem = listHoverResult.querySelectorAll('li');
      if (listItem.length <= 9) {
        var newItem = document.createElement('li');
        newItem.classList.add(posibleColor[index]);
        newItem.innerText = 'Hovered';
        listHoverResult.appendChild(newItem);
      }
    }

    var clickIndex = 0;
    var direction = true;
    var blockClickResult = document.getElementById('clickResult');

    mouseClick.onclick = function(){
      
      var classesToRemove = ['six', 'two', 'three', 'four', 'one', 'five'];
      var classesToAdd = ['one', 'two', 'three', 'four', 'five', 'six'];
    
      if (clickIndex == classesToRemove.length) {
        clickIndex = 0;
        direction = !direction;
      }
      if (!direction) {
        blockClickResult.classList.add(classesToAdd[clickIndex]);
      } else {
        blockClickResult.classList.remove(classesToRemove[clickIndex]);
      }
      clickIndex++;
    }

    var clickIndexLight = 0;
    var lightResultBlock = document.getElementById('lightResult');
    mouseLight.onclick = function(e) {
      var colors = ['red', 'yellow', 'green'];
      if (clickIndexLight < colors.length) {
        lightResultBlock.classList.remove(colors[clickIndexLight-1]);
        lightResultBlock.classList.add(colors[clickIndexLight]);
        clickIndexLight++;
      } else {
        lightResultBlock.classList.remove(colors[clickIndexLight-1]);
        clickIndexLight = 0;
      }
    }

    var counter = 0;
    var dictionary = {
      '0' : 'zero',
      '1' : 'one',
      '2' : 'two',
      '3' : 'three',
      '4' : 'four',
      '5' : 'five',
      '6' : 'six',
      '7' : 'seven',
      '8' : 'eight',
      '9' : 'nine',
    }
    var keyboardResultBlock = document.getElementById('keyboardResult');    
    var keyboarCounterBlock = document.createElement('p');
    keyboardResultBlock.appendChild(keyboarCounterBlock);
    keyboardButton.onkeydown = function(){
      var counterNumber = counter++;  
      if(counterNumber.toString().split('').length >= 2) {
        var d = counterNumber.toString();
        for(var i = 0; i < d.length; i++) {
          var dd = dictionary[d[i]] + dictionary[d[i + 1]];
          if (dd) {
            console.log(dd);
          }
          
        }
      } else {
        console.log(dictionary[counterNumber]);
      }
        // if(counterNumber.toString().length >= 2) {
          // for(var i = 0; i < counterNumber.toString().length; i++) {
          //   var temp = dictionary[counterNumber.toString()[i]];
          //   counterNumber = temp;
          //   console.log(counterNumber);
        // }
      // }
      
      
      // keyboarCounterBlock.className = dictionary[counterNumber];
      // keyboarCounterBlock.innerText = counterNumber;
    }
    
    
    
    
  </script>
</body>
</html>
